# Distro specific variables for FreeBSD
---

named_packages:
  - py37-netaddr
  - py37-dnspython
  - bind911

named_service: named

# Main config file
named_config: /usr/local/etc/namedb/named.conf

# Localhost zone
named_default_zone_files:
  - /usr/local/etc/namedb/named.conf.default-zones

# Directory with run-time stuff
named_dir: /var/cache/named
named_conf_dir: /usr/local/etc/namedb/
named_auth_filename: auth_transfer.conf
named_auth_file: "{{ named_conf_dir }}/{{ named_auth_filename }}"

named_owner: bind
named_group: bind

named_bindkeys_file: /usr/local/etc/namedb/bind.keys
named_pid_file: /var/run/named/named.pid
named_session_keyfile: /var/run/named/session.key

# Custom location for zone files
named_zone_dir: "{{ named_dir }}"
named_secondary_dir: "{{ named_dir }}/secondary"
